@ECHO OFF
ECHO OFF
COLOR 0A
CLS

SET /A ERROR=19
@IF EXIST C:\TE\SKIP.CFG GOTO AA
@IF EXIST C:\TE\SKIP.CFG GOTO MAIN
@IF NOT EXIST C:\TE\SKIP.CFG GOTO AB
@IF NOT EXIST C:\TE\SKIP.CFG GOTO INTRO
GOTO ERROR

:AA
SET /A ERROR=20
SET /A SKIP=1
GOTO MAIN

:AB
SET /A ERROR=21
SET /A SKIP=0
GOTO INTRO

:INTRO
CLS
COLOR 0A
SET /A ERROR=0
ECHO AiO SOFTWORKS PROUDLY PRESENTS
ECHO AFTER MONTHS OF WORK,
TIMEOUT 2 >NUL
ECHO TO YOU,
TIMEOUT 2 >NUL
ECHO THE PEOPLE,
TIMEOUT 2 >NUL
ECHO OUR FELLOW PROGRAMMERS...
TIMEOUT 2 >NUL
CLS
ECHO T
TIMEOUT 1 >NUL
ECHO E
TIMEOUT 1 >NUL
ECHO X
TIMEOUT 1 >NUL
ECHO T
TIMEOUT 1 >NUL
CLS
ECHO TEXT
TIMEOUT 1 >NUL
CLS
ECHO E
TIMEOUT 1 >NUL
ECHO N
TIMEOUT 1 >NUL
ECHO G
TIMEOUT 1 >NUL
ECHO I
TIMEOUT 1 >NUL
ECHO N
TIMEOUT 1 >NUL
ECHO E
TIMEOUT 1 >NUL
CLS
ECHO ENGINE
TIMEOUT 1 >NUL
CLS
ECHO TEXT
TIMEOUT 1 >NUL
CLS
ECHO ENGINE
TIMEOUT 1 >NUL
CLS
ECHO TEXT ENGINE
TIMEOUT 1 >NUL
ECHO VERSION 1.0
TIMEOUT 3 >NUL
GOTO MAIN

:MAIN
CLS
COLOR 0A
SET /A ERROR=1
ECHO TextEngine v1.0
ECHO COPYRIGHT 2015-2016 AiO SOFTWORKS
ECHO PRESS THE NUMBER OF THE FUNCTION AND PRESS ENTER
ECHO 1. START NEW GAME
ECHO 2. LOAD SAVED GAME
ECHO 3. SHOW README
ECHO 4. EXIT
SET /P MAIN=?=
IF %MAIN%==0 GOTO DEBUG
IF %MAIN%==1 GOTO NEW
IF %MAIN%==2 GOTO LOAD
IF %MAIN%==3 GOTO README
IF %MAIN%==4 GOTO EXIT
ECHO INVALID COMMAND
TIMEOUT 1 >NUL
GOTO MAIN

:README
CLS
COLOR F0
SET /A ERROR=18
ECHO TEXTENGINE VERSION 1.0 README FILE
ECHO.
TYPE C:\TE\README.TXT
ECHO.
ECHO PRESS ANY KEY TO CONTINUE...
PAUSE>NUL
GOTO MAIN

:EXIT
CLS
COLOR 09
SET /A ERROR=2
ECHO ARE YOU SURE YOU WANT TO EXIT?
ECHO THERE'S ADVENTURE LEFT TO BE HAD!
SET /P EXIT=1 OR 2=
IF %EXIT%==1 EXIT
IF %EXIT%==2 GOTO MAIN
ECHO INVALID COMMAND
TIMEOUT 1 >NUL
GOTO EXIT

:ERROR
CLS
COLOR 0C
ECHO AN ERROR OCCURED SOMEWHERE IN THE
ECHO PROGRAM. THE ERROR CODE IS:
ECHO %ERROR%
ECHO PLEASE HELP US OUT AND REPORT THIS
ECHO VIA E-MAIL TO ONE OF OUR MEMBERS!
ECHO PRESS ANY KEY TO RETURN TO THE MAIN MENU...
PAUSE>NUL
GOTO MAIN

:DEBUG
CLS
COLOR 0F
SET /A ERROR=3
ECHO DEBUG MODE RUNNING
ECHO GAME VARIABLE STATISTICS=
ECHO ERROR LEVEL IS= %ERROR%
ECHO SKIP IS= %SKIP%
ECHO SLOT NUMBER (FOR SAVES) IS= %SLOT%
ECHO PLAYER HP IS= %PHP%
ECHO GOLD IS= %GOLD%
ECHO NAME IS= %NAME%
ECHO MOVE LEVEL IS= %MOVE%
ECHO MONSTER HP IS= %MHP%
ECHO MONSTER APPEAR CHANCE IS= %CFA%
ECHO PRESS A KEY TO TEST
ECHO 0 MAIN MENU
ECHO 1 EXIT MENU
ECHO 2 LOAD MENU
ECHO 3 ERROR MENU
ECHO 4 NEW GAME MENU
ECHO 5 DEBUG MENU
ECHO 6 BATTLE MENU
ECHO 7 GAME MENU
ECHO 8 INTRODUCTION
SET /P DEBUG=?=
IF %DEBUG%==0 GOTO MAIN
IF %DEBUG%==1 GOTO EXIT
IF %DEBUG%==2 GOTO LOAD
IF %DEBUG%==3 GOTO ERROR
IF %DEBUG%==4 GOTO NEW
IF %DEBUG%==5 GOTO DEBUG
IF %DEBUG%==6 GOTO BATTLE
IF %DEBUG%==7 GOTO MENU
IF %DEBUG%==8 GOTO INTRO
ECHO INVALID COMMAND
TIMEOUT 1 >NUL
GOTO DEBUG

:LOAD
CLS
COLOR 0C
SET /A ERROR=4
ECHO THIS FUNCTION DOES NOT YET EXIST.
ECHO RETURNING TO MENU...
TIMEOUT 1 >NUL
GOTO MAIN

:NEW
CLS
COLOR 0B
SET /A ERROR=5
ECHO PICK A GAME TO START
TYPE C:\TE\LIST.LST
SET /P GAME=?=
GOTO A

:A
SET /A ERROR=6
SET /A PHP=50
SET /A GOLD=100
SET /A MOVE=0
SET /A SLOT=1
SET /A NAME=0
SET /A MATK=0
SET /A MDEF=0
SET /A MRUN=0
SET /A MESC=0
SET /A PATK=0
SET /A PDEF=0
SET /A PRUN=0
SET /A PESC=0
SET /A MGOLD=0
SET /A CFA=0
TYPE C:\TE\%GAME%\0.GAM
ECHO .
PAUSE>NUL
GOTO B

:B
SET /A ERROR=7
TYPE C:\TE\%GAME%\1.GAM
ECHO .
PAUSE>NUL
GOTO C

:C
SET /A ERROR=8
TYPE C:\TE\%GAME%\2.GAM
ECHO .
PAUSE>NUL
GOTO D

:D
SET /A ERROR=9
TYPE C:\TE\%GAME%\3.GAM
ECHO .
PAUSE>NUL
GOTO E

:E
SET /A ERROR=10
TYPE C:\TE\%GAME%\N.GAM
ECHO .
SET /P NAME=TYPE YOUR NAME=
GOTO MENU

:MENU
SET /A ERROR=11
ECHO.
ECHO PICK AN ACTION
ECHO 1. SAVE + EXIT
ECHO 2. MOVE SOMEWHERE
ECHO 3. GO TO SHOP
ECHO 4. USE AN ITEM
ECHO 5. CHECK INFO
ECHO 6. LOOK AROUND
SET /P MENU=?=
IF %MENU%==1 GOTO SAVE
IF %MENU%==2 GOTO MOVE
IF %MENU%==3 GOTO SHOP
IF %MENU%==4 GOTO ITEM
IF %MENU%==5 GOTO INFO
IF %MENU%==6 GOTO LOOK
ECHO INVALID COMMAND
GOTO MENU

:INFO
SET /A ERROR=12
ECHO.
ECHO CHARACTER INFO
ECHO %NAME%'S HP:
ECHO %PHP% OF 50
ECHO %NAME%'S G:
ECHO %GOLD%
GOTO MENU

:SAVE
SET /A ERROR=13
ECHO.
ECHO WHICH SLOT DO YOU
ECHO WANT TO SAVE TO?
SET /P SLOT=?=

ECHO SAVING...
TIMEOUT 2 > NUL

ECHO %SLOT% >> C:\TE\SAVE\%SLOT%.SAV
ECHO %SKIP% >> C:\TE\SAVE\%SLOT%.SAV
ECHO %GAME% >> C:\TE\SAVE\%SLOT%.SAV
ECHO %NAME% >> C:\TE\SAVE\%SLOT%.SAV
ECHO %GOLD% >> C:\TE\SAVE\%SLOT%.SAV
ECHO %ERROR% >> C:\TE\SAVE\%SLOT%.SAV
ECHO %PHP% >> C:\TE\SAVE\%SLOT%.SAV
ECHO %MOVE% >> C:\TE\SAVE\%SLOT%.SAV

ECHO SAVE COMPLETE.
ECHO EXITING GAME...
TIMEOUT 2 > NUL
GOTO EXIT

:MOVE
SET /A ERROR=14
ECHO.
ECHO YOU HAVE MOVED FORWARD
ECHO ONE UNIT IN THE WORLD.
SET /A MOVE=%MOVE%+1
IF %MOVE%==7 GOTO MOVEA
IF %MOVE%==-1 GOTO MOVEB
GOTO MOVEC

:MOVEA
SET /A ERROR=22
ECHO.
SET /A MOVE=%MOVE%-1
GOTO MOVEC

:MOVEB
SET /A ERROR=23
ECHO.
SET /A MOVE=%MOVE%+1
ECHO ONE MOMENT...
GOTO MOVEC

:MOVEC
SET /A ERROR=24
SET /A CFA=%RANDOM%
IF /I %CFA% GTR 6 GOTO MOVEC
IF /I %CFA% LSS 1 GOTO MOVEC
IF %CFA%==1 GOTO BATTLEA
IF %CFA%==2 GOTO BATTLEA
GOTO MENU

:BATTLEA
SET /A ERROR=25
SET /A MHP=25
ECHO.
ECHO A MONSTER ATTACKS!
ECHO ONE MOMENT...
GOTO MONSTER

:MONSTER
SET /A ERROR=26
SET /A CFA=%RANDOM%
IF /I %TYPE% GTR 6 GOTO MONSTER
IF /I %TYPE% LSS 1 GOTO MONSTER
ECHO.
ECHO A VICIOUS
TYPE C:\TE\%GAME%\%TYPE%.MON
ECHO ATTACKS!
ECHO ONE MOMENT...
ECHO.
GOTO BATTLEB

:BATTLEB
SET /A ERROR=27
SET /A ONE=%RANDOM%
IF /I %ONE% GTR 6 GOTO MOVEC
IF /I %ONE% LSS 1 GOTO MOVEC
IF %ONE%==1 GOTO BATTLEC
IF %ONE%==2 GOTO BATTLEC
IF %ONE%==3 GOTO BATTLEC
GOTO BMENU

:BATTLEC
SET /A ERROR=28
ECHO.
ECHO THE VICIOUS
TYPE C:\TE\%GAME%\%TYPE%.MON
ECHO GETS THE FIRST ATTACK!
ECHO ONE MOMENT...
GOTO BATTLED

:BATTLED
SET /A ERROR=29
SET /A MOV=%RANDOM%
IF /I %MOV% GTR 6 GOTO BATTLED
IF /I %MOV% LSS 1 GOTO BATTLED
IF %MOV%==1 GOTO MRUN
IF %MOV%==2 GOTO MRUN
IF %MOV%==3 GOTO MATK
IF %MOV%==4 GOTO MATK
GOTO MDEF

:MRUN
SET /A ERROR=30
ECHO.
ECHO IT TRIES TO ESCAPE!
ECHO ONE MOMENT...
GOTO MRUNA

:MRUNA
SET /A ERROR=31
SET /A MRUN=%RANDOM%
IF /I %MRUN% GTR 6 GOTO MRUNA
IF /I %MRUN% LSS 1 GOTO MRUNA
IF %MRUN%==1 GOTO MRUNB
IF %MRUN%==2 GOTO MRUNB
GOTO MRUNC

:MRUNC
SET /A ERROR=32
ECHO.
ECHO BUT IT IS NOT FAST ENOUGH TO ESCAPE YOU!
GOTO BMENU

:MRUNB
SET /A ERROR=33
ECHO.
ECHO IT ESCAPES, DROPPING GOLD ALONG THE WAY!
GOTO MRUND

:MRUND
SET /A ERROR=34
SET /A MGOLD=%RANDOM%
IF /I %MGOLD% GTR 64 GOTO MRUND
IF /I %MGOLD% LSS 1 GOTO MRUND 
ECHO.
ECHO YOU GAIN %MGOLD% GOLD!
SET /A GOLD=%GOLD%+%MGOLD%
GOTO MENU

:MATK
SET /A ERROR=35
ECHO.
ECHO IT ATTACKS YOU!
ECHO ONE MOMENT...
GOTO MATKD

:MATKD
SET /A ERROR=48
IF %PDEF%==1 GOTO MATKE
GOTO MATKB

:MATKE
SET /A ERROR=49
ECHO.
ECHO BUT IT FAILED!
GOTO BMENU

:MATKB
SET /A ERROR=36
SET /A MATK=%RANDOM%
IF /I %MATK% GTR 6 GOTO MATKB
IF /I %MATK% LSS 1 GOTO MATKB
GOTO MATKC

:MATKC
SET /A ERROR=37
ECHO.
ECHO THE MONSTER DOES %MATK% DAMAGE TO YOU,
ECHO BRINGING YOUR HEALTH TO %PHP%!
GOTO BMENU

:MDEF
SET /A ERROR=38
ECHO.
ECHO THE MONSTER DEFENDS YOUR ATTACK!
SET /A MDEF=1
GOTO BMENU

:BMENU
SET /A ERROR=39
ECHO.
ECHO BATTLE MENU=
ECHO PLAYER HP= %PHP%
ECHO MONSTER HP= %MHP%
ECHO DO YOU CHOOSE TO=
ECHO 1. ATTACK
ECHO 2. DEFEND
ECHO 3. RUN
SET /P BMENU=?=
IF %BMENU%==1 GOTO PATK
IF %BEMNU%==2 GOTO PDEF
IF %BMENU%==3 GOTO PRUN
ECHO INVALID COMMAND.
GOTO BMENU

:PRUN
SET /A ERROR=40
ECHO.
ECHO YOU TRY TO ESCAPE!
ECHO ONE MOMENT...
GOTO PRUNA

:PRUNA
SET /A ERROR=41
SET /A PRUN=%RANDOM%
IF /I %PRUN% GTR 6 GOTO PRUNA
IF /I %PRUN% LSS 1 GOTO PRUNA
IF %PRUN%==1 GOTO PESC
IF %PRUN%==2 GOTO PESC
ECHO.
ECHO BUT YOU FAIL!
GOTO MTURN

:MTURN
ECHO THE MONSTER'S TURN
ECHO ONE MOMENT...
GOTO BATTLED

:PESC
SET /A ERROR=42
ECHO .
ECHO YOU ESCAPE, BUT JUST BARELY!
ECHO HOWEVER, YOU DROPPED GOLD ALONG THE WAY!
GOTO PESCA

:PESCA
SET /A ERROR=43
SET /A PGOLD=%RANDOM%
IF /I %PGOLD% GTR 64 GOTO PESCA
IF /I %PGOLD% LSS 1 GOTO PESCA
SET /A GOLD=%GOLD%-%PGOLD%
IF %GOLD%==-1 GOTO BROKE
GOTO TTL

:BROKE
SET /A ERROR=45
SET /A GOLD=0
GOTO TTL

:TTL
SET /A ERROR=44
ECHO.
ECHO YOU DROPPED %PGOLD% GOLD
ECHO BRINGING YOUR TOTAL GOLD TO %GOLD%
GOTO MENU

:PDEF
SET /A ERROR=46
ECHO.
ECHO YOU DEFEND!
SET /A PDEF=1
GOTO MTURN

:PATK
SET /A ERROR=47
ECHO.
ECHO ONE MOMENT...
GOTO PATKB

:PATKB
SET /A ERROR=50
IF %MDEF%==1 GOTO PATKC
GOTO PATKD

:PATKC
SET /A ERROR=51
ECHO.
ECHO BUT YOU FAIL!
GOTO MTURN

:PATKD
SET /A ERROR=52
SET /A PATK=%RANDOM%
IF /I %PATK% GTR 6 GOTO PATKD
IF /I %PATK% LSS 1 GOTO PATKD
GOTO PATKE

:PATKE
SET /A ERROR=53
ECHO.
ECHO YOU DO %PATK% DAMAGE TO IT,
ECHO BRINGING IT'S HP TO %MHP%
GOTO MTURN

:ITEM
SET /A ERROR=15
ECHO.
ECHO NOT IMPLEMENTED AT THE MOMENT.
ECHO COME BACK IN A LATER VERSION!
GOTO MENU

:LOOK
SET /A ERROR=16
ECHO.
ECHO YOU LOOK AROUND.
ECHO.
TYPE C:\TE\%GAME%\%MOVE%.MAP
GOTO MENU

:SHOP
SET /A ERROR=17
ECHO.
ECHO NOT IMPLEMENTED AT THE MOMENT.
ECHO COME BACK IN A LATER VERSION!
GOTO MENU

GOTO ERROR
EXIT